package meerkat.crypto.concrete;

import com.google.protobuf.ByteString;
import meerkat.protobuf.Crypto;

import java.math.BigInteger;

/**
 * Created by talm on 02/11/16.
 */
public class Util {
    /**
     * Decode a BigInteger from a protobuf
     * @param i
     * @return
     */
    public static BigInteger decodeBigInteger(Crypto.BigInteger i) {
        return new BigInteger(i.getData().toByteArray());
    }

    /**
     * Encode a BigInteger in a protobuf.
     * @param i
     * @return
     */
    public static Crypto.BigInteger encodeBigInteger(BigInteger i) {
        return Crypto.BigInteger.newBuilder().setData(ByteString.copyFrom(i.toByteArray())).build();
    }
}
